{ self, inputs, ... }:
{
  flake.homeModules.commonHomeConfig = { config, pkgs, inputs, ... }: {
    imports = [
      self.homeModules.shell
      self.homeModules.sysFetch
      self.homeModules.zed
      self.homeModules.env
      self.homeModules.git
    ];

    home = {
      packages = [ pkgs.hello ];


      stateVersion = "25.11"; # Upgrade maybe ?
    };
  };

  flake.nixosModules.commonConfig = { config, pkgs, inputs, ...}: {
    imports = [
      self.nixosModules.nixConfig
      self.nixosModules.kernelConfig
      self.nixosModules.utils
      self.nixosModules.sysFetch
      self.nixosModules.git
      self.nixosModules.locales
      self.nixosModules.shell
      self.nixosModules.greeter
      self.nixosModules.steam
      self.nixosModules.spicetify
    ];
  };
}
